scala.xml
class Document

[source: `scala/xml/Document.scala`]

`` `class` Document
  `extends` NodeSeq `with` XMLEvent

  A document information item (according to InfoSet spec). The comments are copied from the Infoset spec, only augmented with some information on the Scala types for definitions that might have no value. also plays the role of an `XMLEvent` for pull parsing

Author
  Burak Emir
Version
  1.0, 26/04/2005

Value Summary
`var` | allDeclarationsProcessed : Boolean 9. This property is not strictly speaking part of the infoset of the document. Rather it is an indication of whether the processor has read the complete DTD. Its value is a boolean. If it is false, then certain properties (indicated in their descriptions below) may be unknown. If it is true, those properties are never unknown.
`var` | baseURI : java.lang.String The base URI of the document entity.
`var` | children : Seq[Node] An ordered list of child information items, in document order. The list contains exactly one element information item. The list also contains one processing instruction information item for each processing instruction outside the document element, and one comment information item for each comment outside the document element. Processing instructions and comments within the DTD are excluded. If there is a document type declaration, the list also contains a document type declaration information item.
`var` | docElem : Node The element information item corresponding to the document element.
`var` | dtd : DTD The dtd that comes with the document, if any
`var` | encoding : Option[java.lang.String] The name of the character encoding scheme in which the document entity is expressed.
`var` | standAlone : Option[Boolean] An indication of the standalone status of the document, either true or false. This property is derived from the optional standalone document declaration in the XML declaration at the beginning of the document entity, and has no value (`None`) if there is no standalone document declaration.
`var` | version : Option[java.lang.String] A string representing the XML version of the document. This property is derived from the XML declaration optionally present at the beginning of the document entity, and has no value (`None`) if there is no XML declaration.

Method Summary
`def` | notations : Seq[NotationDecl] An unordered set of notation information items, one for each notation declared in the DTD. If any notation is multiply declared, this property has no value.
`def` | theSeq : Seq[Node]
`def` | unparsedEntities : Seq[EntityDecl] An unordered set of unparsed entity information items, one for each unparsed entity declared in the DTD.

Methods inherited from NodeSeq
length, elements, apply, apply, equals, \, \\, toString, text

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, slice, takeWhile, dropWhile, reverse, contains, subseq, toArray, projection, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, hashCode, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `var` children : Seq[Node]

  An ordered list of child information items, in document order. The list contains exactly one element information item. The list also contains one processing instruction information item for each processing instruction outside the document element, and one comment information item for each comment outside the document element. Processing instructions and comments within the DTD are excluded. If there is a document type declaration, the list also contains a document type declaration information item.

`` `var` docElem : Node

  The element information item corresponding to the document element.

`` `var` dtd : DTD

  The dtd that comes with the document, if any

`` `var` baseURI : java.lang.String

  The base URI of the document entity.

`` `var` encoding : Option[java.lang.String]

  The name of the character encoding scheme in which the document entity is expressed.

`` `var` standAlone : Option[Boolean]

  An indication of the standalone status of the document, either true or false. This property is derived from the optional standalone document declaration in the XML declaration at the beginning of the document entity, and has no value (`None`) if there is no standalone document declaration.

`` `var` version : Option[java.lang.String]

  A string representing the XML version of the document. This property is derived from the XML declaration optionally present at the beginning of the document entity, and has no value (`None`) if there is no XML declaration.

`` `var` allDeclarationsProcessed : Boolean

  9. This property is not strictly speaking part of the infoset of the document. Rather it is an indication of whether the processor has read the complete DTD. Its value is a boolean. If it is false, then certain properties (indicated in their descriptions below) may be unknown. If it is true, those properties are never unknown.

Method Details

`` `def` notations : Seq[NotationDecl]

  An unordered set of notation information items, one for each notation declared in the DTD. If any notation is multiply declared, this property has no value.

`` `def` unparsedEntities : Seq[EntityDecl]

  An unordered set of unparsed entity information items, one for each unparsed entity declared in the DTD.

`` `def` theSeq : Seq[Node]

Overrides
  NodeSeq.theSeq